org.mariadb.jdbc.internal.common.packet

## Interface CommandPacket

All Known Implementing Classes:
  AbbreviatedMySQLClientAuthPacket, ClosePacket, MySQLClientAuthPacket, MySQLClientOldPasswordAuthPacket, MySQLPingPacket, SelectDBPacket, SendClosePrepareStatementPacket, SendExecutePrepareStatementPacket, SendPrepareParameterPacket, SendPrepareStatementPacket, StreamedQueryPacket

    public interface CommandPacket

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `send(OutputStream os)`

### Method Detail

#### send

    int send(OutputStream os)
      throws IOException,
             QueryException

Throws:
  `IOException`
  `QueryException`